#!/bin/bash -e

pkg=(
    7zip
    bash-completion
    curl
    fastfetch
    fzf
    git
    jq
    manpages
    openssh
    pass-otp
    python
    vim
)

ln -s "$PREFIX/etc/termux/mirrors/default" "$PREFIX/etc/termux/chosen_mirrors"
yes | { pkg upgrade; pkg install "${pkg[@]}"; }

# shellcheck disable=SC2174
mkdir -pm 0700 "$HOME/.ssh" "$HOME/.gnupg/"
curl -L https://yw5n.com/ssh >> "$HOME/.ssh/authorized_keys"

echo 'enable-ssh-support' > "$HOME/.gnupg/gpg-agent.conf"
echo 'D17DD274A8FC460888C038B2F84ACB3A562A3BA4' > "$HOME/.gnupg/sshcontrol"

cat <<EOF > "$HOME/.bash_profile"
export XDG_RUNTIME_DIR="$TMPDIR"

gpg-connect-agent /bye
sshd

export PASSWORD_STORE_ENABLE_EXTENSIONS=true
export SSH_AUTH_SOCK; SSH_AUTH_SOCK="$(gpgconf --list-dirs agent-ssh-socket)"
EOF
